Subject: Re: [BUG] git archive broken in 1.7.8.1

From: Albert Astals Cid <[email-masked]>
Date: Tue, 10 Jan 2012 23:05:45 +0100

El Dimarts, 10 de gener de 2012, a les 22:33:44, Carlos Martín Nieto va 
escriure:
> On Tue, Jan 10, 2012 at 10:18:41PM +0100, Albert Astals Cid wrote:
> > CC me on answers since i'm not subscribed to the list
> > 
> > Hi, one of our [KDE] anongit servers was updated to 1.7.8.1 and not the
> > syntax
> > 
> > git archive --remote=git://anongit.kde.org/repo.git HEAD:path
> 
> This syntax is no longer allowed due to some security tightening. Use
> the alternate syntax
> 
>     git archive --remote=git://anongit.kde.org/repo.git HEAD -- path

Unfortunately this producess a tarball with a different layout, e.g.

git archive --remote=git://anongit.kde.org/kgraphviewer.git HEAD:doc/en_US
  gives me a tarball with the doc/en_US files in the root

git archive --remote=git://anongit.kde.org/kgraphviewer.git HEAD -- doc/en_US
  gives me a tarball with the doc/en_US folders and then the files

Is there a way to keep the old behaviour or do we need to update our scripts?

Thanks for the fast answer!

Albert

> 
> > does not seem to return a valid tar archive anymore when it did work
> > previously. In fact the man page of my version has that syntax in one of
> > the examples.
> 
> That sounds like a documentation bug.
> 
>    cmn